Bug 197587 - [JSC] Add more tests for DFG SetLocal emission for adhoc SetterCall frame
Summary: [JSC] Add more tests for DFG SetLocal emission for adhoc SetterCall frame
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Yusuke Suzuki
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-05-03 17:15 PDT by Yusuke Suzuki
Modified: 2019-05-06 15:26 PDT (History)
3 users (show)

See Also:


Attachments
Patch (1.27 KB, patch)
2019-05-03 17:17 PDT, Yusuke Suzuki
sam: review+
ews: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from ews214 for win-future (13.71 MB, application/zip)
2019-05-04 00:52 PDT, Build Bot
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yusuke Suzuki 2019-05-03 17:15:12 PDT
[JSC] Add more tests for DFG SetLocal emission for adhoc SetterCall frame
Comment 1 Yusuke Suzuki 2019-05-03 17:17:18 PDT
Created attachment 369028 [details]
Patch
Comment 2 Yusuke Suzuki 2019-05-03 17:18:02 PDT
<rdar://problem/50437409>
Comment 3 Build Bot 2019-05-04 00:52:26 PDT
Comment on attachment 369028 [details]
Patch

Attachment 369028 [details] did not pass win-ews (win):
Output: https://webkit-queues.webkit.org/results/12097604

New failing tests:
svg/dynamic-updates/SVGLinearGradientElement-svgdom-href-prop.html
security/contentSecurityPolicy/video-with-file-url-allowed-by-media-src-star.html
svg/dynamic-updates/SVGRadialGradientElement-svgdom-href-prop.html
Comment 4 Build Bot 2019-05-04 00:52:28 PDT
Created attachment 369065 [details]
Archive of layout-test-results from ews214 for win-future

The attached test failures were seen while running run-webkit-tests on the win-ews.
Bot: ews214  Port: win-future  Platform: CYGWIN_NT-10.0-17763-3.0.5-338.x86_64-x86_64-64bit
Comment 5 Yusuke Suzuki 2019-05-06 00:03:51 PDT
Thanks!
Comment 6 Yusuke Suzuki 2019-05-06 00:05:03 PDT
Committed r244959: <https://trac.webkit.org/changeset/244959>
Comment 7 Yusuke Suzuki 2019-05-06 15:26:42 PDT
Committed r244981: <https://trac.webkit.org/changeset/244981>